Skip to main content
GET
/
data
/
projects
/
{projectId}
/
materialized-queries
/
{queryId}
/
status
Read Materialized Query Status
curl --request GET \
  --url https://partner.peaka.studio/api/v1/data/projects/{projectId}/materialized-queries/{queryId}/status \
  --header 'Authorization: Bearer <token>'
{
  "queryId": "709922802836177297",
  "queryName": "samplequery",
  "scheduleSettings": {
    "cronExpression": null,
    "repeatDuration": "PT6H",
    "timezone": null,
    "type": "interval"
  },
  "nextExecutionStartTime": "2025-01-15T16:00:00Z",
  "status": "COMPLETED",
  "lastExecutionStartTime": "2025-01-15T10:00:00Z",
  "lastUpdateTime": "2025-01-15T10:05:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.peaka.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

ID of the Project

queryId
string
required

ID of the Query

Response

200 - application/json

Materialized query status

Status and schedule information for a materialized query

queryId
string

ID of the query

Example:

"709922802836177297"

queryName
string

Name of the query

Example:

"samplequery"

scheduleSettings
object

Schedule configuration of a materialized query

nextExecutionStartTime
string | null

Next scheduled execution start time (ISO 8601). Null when the schedule type is 'none' or cannot be computed.

Example:

"2025-01-15T16:00:00Z"

status
string

Status of the most recent refresh

Example:

"COMPLETED"

lastExecutionStartTime
string | null

Start time of the last refresh (ISO 8601)

Example:

"2025-01-15T10:00:00Z"

lastUpdateTime
string | null

Time the status was last updated (ISO 8601)

Example:

"2025-01-15T10:05:00Z"